Opened 7 days ago

Closed 15 hours ago

#63043 closed enhancement (fixed)

gtk-doc @1.32_1: Please change default variant from python38 to python39

Reported by: FaradayLight (Faraday Light) Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.7.1
Keywords: arm64 bigsur Cc: dbevans (David B. Evans)
Port: gtk-doc

Description (last modified by ryandesign (Ryan Schmidt))

The gnutls package now has a dependancy on gtk-doc, however the installation is failing due to gtk-doc depending on python38 which will not install (See ticket: #63039).

Could you please see if the dependancy can be changed?

Change History (4)

comment:1 Changed 7 days ago by FaradayLight (Faraday Light)

I attempted the install with the +python39 variant; this completed successfully.

So perhaps the enhancement should instead be a request to set the +python39 variant as the default and to remove the +python38 variant which will not build at present.

comment:2 Changed 6 days ago by jmroot (Joshua Root)

While changing the default variant here should be fine, note that python38 does not fail to build in general, but only when using +universal.

comment:3 Changed 15 hours ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Keywords: python38 gnutls removed
Summary: gtk-doc @ 1.32_1 - Please change dependancy from python38 to python39gtk-doc @1.32_1: Please change default variant from python38 to python39

comment:4 Changed 15 hours ago by ryandesign (Ryan Schmidt)

Owner: set to ryandesign
Resolution: fixed
Status: newclosed

In 9f8ecd74bc4135aa43e861a6d105ced3875a5a54/macports-ports (master):

gtk-doc: Change default variant to python39

Closes: #63043

Note: See TracTickets for help on using tickets.